## org.eclipse.m2m.atl.profiler.vm.adapter
Class OperationAdapter

    java.lang.Object
      org.eclipse.m2m.atl.profiler.vm.adapter.OperationAdapter

All Implemented Interfaces:
  IOperation

    public class OperationAdapter

extends java.lang.Object
implements IOperation

A RegularVM / Profiler operation wrapper.

Constructor Summary
`OperationAdapter(Operation operation)` Creates an `OperationAdapter` wrapping the given `Operation`.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.util.List<?>` `getInstructions()` Returns the operation instructions.
`java.lang.String` `getName()` Returns the operation name.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationAdapter

    public OperationAdapter(Operation operation)

  Creates an `OperationAdapter` wrapping the given `Operation`.

  Parameters:
    `operation` - the operation to wrap

Method Detail

### getInstructions

    public java.util.List<?> getInstructions()

  Returns the operation instructions.

  Specified by:
    `getInstructions` in interface `IOperation`
  Returns:
    the operation instructions
  See Also:
    `IOperation.getInstructions()`

### getName

    public java.lang.String getName()

  Returns the operation name.

  Specified by:
    `getName` in interface `IOperation`
  Returns:
    the operation name
  See Also:
    `IOperation.getName()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.